FUNCTION DISPLAY_E(3)

NAME
boost::proto::display_expr - Pretty-print a Proto expression tree.

SYNOPSIS

// In header: <boost/proto/debug.hpp>
template<typename Expr>
  void display_expr(Expr const & expr, std::ostream & sout);
template<typename Expr> void display_expr(Expr const & expr);

DESCRIPTION

Parameters:

    expr
        The Proto expression tree to pretty-print

    sout
        The ostream to which the output should be written. If not specified, defaults to std::cout.

Notes:
    Equivalent to proto::functional::display_expr(0, sout)(expr).